Agora C++ API Reference for All Platforms

Public Member Functions | List of all members
agora::rtc::IMediaRecorder2 Class Referenceabstract

Inherits agora::rtc::IMediaRecorder.

Inherited by agora::rtc::IMediaRecorder2Ex.

## Public Member Functions
virtual int | setRecorderConfig (const media::MediaRecorderConfiguration &config, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setVideoTrack (agora_refptr< IVideoTrack > track, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | removeVideoTrack (aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setAudioTrack (agora_refptr< IAudioTrack > track, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | removeAudioTrack (aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | startRecording (aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | stopRecording (aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual | ~IMediaRecorder2 ()
Public Member Functions inherited from agora::rtc::IMediaRecorder
virtual int | setMediaRecorderObserver (media::IMediaRecorderObserver *callback)=0
virtual int | startRecording (const media::MediaRecorderConfiguration &config)=0
virtual int | stopRecording ()=0
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Additional Inherited Members
Protected Member Functions inherited from agora::rtc::IMediaRecorder
virtual | ~IMediaRecorder ()
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Constructor & Destructor Documentation

## ◆ ~IMediaRecorder2()

virtual agora::rtc::IMediaRecorder2::~IMediaRecorder2 | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ setRecorderConfig()

virtual int agora::rtc::IMediaRecorder2::setRecorderConfig | ( | const media::MediaRecorderConfiguration & | config,
|  | aosl_ref_t | ares = `AOSL_REF_INVALID`
| ) |  |
| pure virtual

## ◆ setVideoTrack()

virtual int agora::rtc::IMediaRecorder2::setVideoTrack | ( | agora_refptr< IVideoTrack > | track,
|  | aosl_ref_t | ares = `AOSL_REF_INVALID`
| ) |  |
| pure virtual

## ◆ removeVideoTrack()

virtual int agora::rtc::IMediaRecorder2::removeVideoTrack | ( | aosl_ref_t | ares = `AOSL_REF_INVALID` | ) |
| pure virtual

## ◆ setAudioTrack()

virtual int agora::rtc::IMediaRecorder2::setAudioTrack | ( | agora_refptr< IAudioTrack > | track,
|  | aosl_ref_t | ares = `AOSL_REF_INVALID`
| ) |  |
| pure virtual

## ◆ removeAudioTrack()

virtual int agora::rtc::IMediaRecorder2::removeAudioTrack | ( | aosl_ref_t | ares = `AOSL_REF_INVALID` | ) |
| pure virtual

## ◆ startRecording()

virtual int agora::rtc::IMediaRecorder2::startRecording | ( | aosl_ref_t | ares = `AOSL_REF_INVALID` | ) |
| pure virtual

## ◆ stopRecording()

virtual int agora::rtc::IMediaRecorder2::stopRecording | ( | aosl_ref_t | ares = `AOSL_REF_INVALID` | ) |
| pure virtual